MayoParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.mayo

## Class MayoParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.mayo.MayoParameters

-     public class MayoParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MayoParameters` | `mayo1`
    `static MayoParameters` | `mayo2`
    `static MayoParameters` | `mayo3`
    `static MayoParameters` | `mayo5`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getACols()`
    `int` | `getCpkBytes()`
    `int` | `getCskBytes()`
    `int` | `getDigestBytes()`
    `int[]` | `getFTail()`
    `int` | `getK()`
    `int` | `getM()`
    `int` | `getMBytes()`
    `int` | `getMVecLimbs()`
    `int` | `getN()`
    `java.lang.String` | `getName()`
    `int` | `getO()`
    `int` | `getOBytes()`
    `int` | `getP1Bytes()`
    `int` | `getP1Limbs()` Computes: (v * (v + 1) / 2) * mVecLimbs
    `int` | `getP2Bytes()`
    `int` | `getP2Limbs()` Computes: v * o * mVecLimbs
    `int` | `getP3Limbs()` Computes: (o * (o + 1) / 2) * mVecLimbs
    `int` | `getPkSeedBytes()`
    `int` | `getRBytes()`
    `int` | `getSaltBytes()`
    `int` | `getSigBytes()`
    `int` | `getSkSeedBytes()`
    `int` | `getV()`
    `int` | `getVBytes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mayo1

          public static final MayoParameters mayo1

    - #### mayo2

          public static final MayoParameters mayo2

    - #### mayo3

          public static final MayoParameters mayo3

    - #### mayo5

          public static final MayoParameters mayo5

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getN

          public int getN()

    - #### getM

          public int getM()

    - #### getMVecLimbs

          public int getMVecLimbs()

    - #### getO

          public int getO()

    - #### getV

          public int getV()

    - #### getACols

          public int getACols()

    - #### getK

          public int getK()

    - #### getMBytes

          public int getMBytes()

    - #### getOBytes

          public int getOBytes()

    - #### getVBytes

          public int getVBytes()

    - #### getRBytes

          public int getRBytes()

    - #### getP1Bytes

          public int getP1Bytes()

    - #### getP2Bytes

          public int getP2Bytes()

    - #### getCskBytes

          public int getCskBytes()

    - #### getCpkBytes

          public int getCpkBytes()

    - #### getSigBytes

          public int getSigBytes()

    - #### getFTail

          public int[] getFTail()

    - #### getSaltBytes

          public int getSaltBytes()

    - #### getDigestBytes

          public int getDigestBytes()

    - #### getPkSeedBytes

          public int getPkSeedBytes()

    - #### getSkSeedBytes

          public int getSkSeedBytes()

    - #### getP1Limbs

          public int getP1Limbs()

      Computes: (v * (v + 1) / 2) * mVecLimbs

    - #### getP2Limbs

          public int getP2Limbs()

      Computes: v * o * mVecLimbs

    - #### getP3Limbs

          public int getP3Limbs()

      Computes: (o * (o + 1) / 2) * mVecLimbs